收藏
回答

wx.getUpdateManager is not a function

框架类型 问题类型 API/组件名称 终端类型 微信版本 基础库版本
小程序 Bug getUpdateManager 客户端 6.5.7 2.0.5

- 当前 Bug 的表现(可附上截图)


- 提供一个最简复现 Demo

checkForUpdate() {
        const updateManager = wx.getUpdateManager()
        updateManager.onCheckForUpdate(function(res) {
            // 请求完新版本信息的回调
            console.log(res.hasUpdate)
        })
        updateManager.onUpdateReady(function() {
            wx.showModal({
                title: '更新提示',
                content: '新版本已经准备好,是否重启应用?',
                success: function(res) {
                    if (res.confirm) {
                        // 新的版本已经下载好,调用 applyUpdate 应用新版本并重启
                        updateManager.applyUpdate()
                    }
                },
            })
        })
        updateManager.onUpdateFailed(function() {
            // 新版本下载失败
        })
    },



2019-05-166.5.72.0.522100.00%wx.getUpdateManager is not a function;at App checkForUpdate function


回答关注问题邀请回答
收藏

2 个回答

  • 社区技术运营专员-小柿子
    社区技术运营专员-小柿子
    2019-05-16

    微信版本升级试下?

    2019-05-16
    有用
    回复 4
    • 容小灰Vincent🦖
      容小灰Vincent🦖
      2019-05-16

      同样遇到这样的问题,基础库是1.9.90以上了,那6.5.x这些版本报错就忽略掉?

      2019-05-16
      回复
    • 超人
      超人
      2019-05-16

      基础库最低版本设置

      2.1.2

      这样还需要让用户升级微信吗?

      2019-05-16
      回复
    • 社区技术运营专员-小柿子
      社区技术运营专员-小柿子
      2019-05-16回复超人

      部分更新的功能以及修复的bug需要新的客户端版本以及基础库解决,建议更新一下

      2019-05-16
      回复
    • .
      .
      2019-06-21回复超人

      更新完之后问题解决了吗?

      2019-06-21
      回复
  • 随遇而安
    随遇而安
    02-23

    请问这个问题,是因为微信版本太低了吗?在微信小程序平台有这样的大量错误,会影响到功能使用吗?

    02-23
    有用
    回复
登录 后发表内容